Package Details: lib32-webkitgtk 2.4.11-10

Git Clone URL: https://aur.archlinux.org/lib32-webkitgtk.git (read-only)
Package Base: lib32-webkitgtk
Description: Legacy Web content engine for GTK+ 3
Upstream URL: https://webkitgtk.org/
Licenses: custom
Conflicts: lib32-libwebkit3, lib32-webkitgtk3
Provides: lib32-libwebkit3=2.4.11, lib32-webkitgtk3=2.4.11
Replaces: lib32-libwebkit3, lib32-webkitgtk3
Submitter: yan12125
Maintainer: None
Last Packager: yan12125
Votes: 1
Popularity: 0.002360
First Submitted: 2017-08-04 19:00
Last Updated: 2017-09-27 09:10

Latest Comments

yan12125 commented on 2018-02-15 15:41

@maxime.borges: feel free to adopt and fix them ;)

maxime.borges commented on 2018-02-15 13:04

You should remove the mkdir and ln -s in the prepare() of the PKGBUILD.

yan12125 commented on 2017-11-10 18:46

Dropped as pulse-secure is now a 64-bit application.

yan12125 commented on 2017-09-27 09:11

I fixed the issue and this package now works on my machine. Please tell me if there are more problems.

trashguy commented on 2017-09-25 13:32

Having issues installing:

webkitgtk-2.4.11/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:43:10: fatal error: cairo-gl.h: No such file or directory
#include <cairo-gl.h>
^~~~~~~~~~~~
compilation terminated.
make[1]: *** [GNUmakefile:50372: Source/WebCore/platform/graphics/cairo/libPlatform_la-CairoUtilities.lo] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-avondersaar/aur-lib32-webkitgtk/src'
make: *** [GNUmakefile:25837: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

yan12125 commented on 2017-08-10 02:56

@nlowe: Seems the existence of enchant breaks the build. The following workaround may work:

<del>sudo pacman -Rdd enchant
(build lib32-webkitgtk and install it)
sudo pacman -S --asdeps enchant</del>

UPDATE: I tried to fix it in 2.4.11-9. Please test it again, thanks!

nlowe commented on 2017-08-10 02:40

I'm having trouble building this. It looks like a 32-bit library for enchant is missing:

```
CXXLD libwebkitgtk-3.0.la
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../libenchant.so when searching for -lenchant
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../libenchant.so when searching for -lenchant
/usr/bin/ld: skipping incompatible /usr/lib/libenchant.so when searching for -lenchant
/usr/bin/ld: cannot find -lenchant
collect2: error: ld returned 1 exit status
make[1]: *** [GNUmakefile:40456: libwebkitgtk-3.0.la] Error 1
make[1]: Leaving directory '/home/nathan/.cache/pacaur/lib32-webkitgtk/src'
make: *** [GNUmakefile:25837: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
```

Did this package exist previously?

yan12125 commented on 2017-08-08 16:33

As a reference, it tooks me one and a half hours to build this on i5-2500 4-core CPU with MAKEFLAGS="-j3"

> makepkg 14805.75s user 833.69s system 269% cpu 1:36:51.02 total